com.pivotal.gemfirexd.internal.jdbc

## Class ClientXADataSource

- java.lang.Object
- - com.pivotal.gemfirexd.internal.jdbc.ClientBaseDataSource
  - - com.pivotal.gemfirexd.internal.jdbc.ClientDataSource
    - - com.pivotal.gemfirexd.internal.jdbc.ClientXADataSource

All Implemented Interfaces:
  Serializable, Wrapper, Referenceable, CommonDataSource, DataSource, XADataSource

Direct Known Subclasses:
  ClientXADataSource40

    public class ClientXADataSource
    extends ClientDataSource
    implements XADataSource

This is Derby's network XADataSource for use with JDBC3.0 and JDBC2.0.

An XADataSource is a factory for XAConnection objects. It represents a RM in a DTP environment. An object that implements the XADataSource interface is typically registered with a JNDI service provider.

ClientXADataSource automatically supports the correct JDBC specification version for the Java Virtual Machine's environment.

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0
- JDBC 2.0 - Java 2 - JDK 1.2,1.3

ClientXADataSource is serializable and referenceable.

See ClientDataSource for DataSource properties.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `className__`

### Fields inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientBaseDataSource

`CLEAR_TEXT_PASSWORD_SECURITY, connectionAttributes, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_traceLevel, propertyDefault_user, securityMechanism, SSL_BASIC, SSL_OFF, SSL_PEER_AUTHENTICATION, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, traceLevel, USER_ONLY_SECURITY`

### Constructor Summary

Constructors
Constructor and Description
`ClientXADataSource()`

### Method Summary

Methods
`XAConnection` `getXAConnection()`
`XAConnection` `getXAConnection(String user, String password)`

### Methods inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientDataSource

`getConnection, getConnection, getParentLogger, isWrapperFor, unwrap`

### Methods inherited from class com.pivotal.gemfirexd.internal.jdbc.ClientBaseDataSource

`computeDncLogWriter, computeDncLogWriterForNewConnection, getClientSSLMode, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getIsODBCDriver, getLoginTimeout, getLogWriter, getPassword, getPassword, getPortNumber, getReference, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getSSLModeFromString, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUpgradedSecurityMechanism, getUser, getUser, maxStatementsToPool, readSystemProperty, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser, tokenizeAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Field Detail

#### className__

    public static final String className__

See Also:
  Constant Field Values

### Constructor Detail

#### ClientXADataSource

    public ClientXADataSource()

### Method Detail

#### getXAConnection

    public XAConnection getXAConnection()
                                 throws SQLException

Specified by:
  `getXAConnection` in interface `XADataSource`
Throws:
  `SQLException`

#### getXAConnection

    public XAConnection getXAConnection(String user,
                               String password)
                                 throws SQLException

Specified by:
  `getXAConnection` in interface `XADataSource`
Throws:
  `SQLException`